.portfolio {
  left: calc(50% - 50vw);
  position: relative;
  width: 100vw;

  &__info {
    background-color: rgba(192, 39, 46, 0.9);
    height: 100%;
    left: 0;
    position: absolute;
    top: 100%;
    transition: 0.5s;
    width: 100%;
  }

  &__item {
    display: block;
    height: calc(100vw / 3 * 0.7);
    overflow: hidden;
    position: relative;
    width: calc(100% / 3);

    @media #{$m-to-l} {
      height: calc(100vw / 2 * 0.7);
      width: calc(100% / 2);
    }

    @media #{$m-to-s} {
      height: calc(100vw * 0.7);
      width: 100vw;
    }

    &:hover {
      .portfolio__info {
        top: 0;
      }
    }

    img {
      @include object-fit(cover);

      height: 100%;
      width: 100%;
    }
  }

  &__title {
    font-size: 2.6rem;
  }
}

.portfolio-info__inner {
  color: #fff;
  left: 50%;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translate(-50%, -50%);
}
